Favicon

You are here: Home > API Reference > Windows > Windows Default Config > Create default device config

Create default device config

Required Permission: mdm.windows.defaultDeviceConfig.create

Create default device config

POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "winEnrollmentTemplate",
  "modelName": "windows",
  "elementId": "string"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "type": "winEnrollmentTemplate",
    "modelName": "windows",
    "elementId": "string"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/default-config",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "type": "winEnrollmentTemplate",
      "modelName": "windows",
      "elementId": "string"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
type string required
≤ 256 characters
winEnrollmentTemplate
modelName string required
≤ 256 characters
windows
elementId string optional
Match pattern: ^[a-fA-F0-9]{24}$
{
    "type": "winEnrollmentTemplate",
    "modelName": "windows",
    "elementId": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
≤ 256 characters
winEnterpriseId string optional
Match pattern: ^[a-fA-F0-9]{24}$
modelName string optional
≤ 256 characters
windows
elementId string optional
Match pattern: ^[a-fA-F0-9]{24}$
elementInfo object optional
{
    "status": true,
    "data": {
        "id": "string",
        "type": "string",
        "winEnterpriseId": "string",
        "modelName": "windows",
        "elementId": "string",
        "elementInfo": {}
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
6002
message string optional
Body Validation Error
{
    "status": false,
    "error": {
        "code": 5150,
        "message": "WinDefaultDeviceConfig already exists"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}